#include <bits/stdc++.h>
#include <iostream>

using namespace std;

typedef long long ll;
typedef long double ld;

const int mxN = 3 * 1e5;

pair<double, ll> arr[mxN];
ll sumTo[mxN];

ld maX(ld first, ld second)
{
    return first > second ? first : second;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    std::setprecision(6);

    ll n;
    cin >> n;
    ll totalSum = 0;
    for(int i = 0; i < n; i++)
    {
        cin >> arr[i].second >> arr[i].first;
        totalSum += arr[i].second;
    }
    sort(arr, arr + n);
    for(int i = 0; i < n; i++)
    {
        sumTo[i] = totalSum;
        totalSum -= arr[i].second;
    }
    double ans = 0;
    for(int i = 0; i < n; i++)
    {
        ans = max(ans, arr[i].first * sumTo[i] / 100.0);
    }
    cout << ans << "\n";
}